Get catch-all configuration

Returns the catch-all receiving configuration for a domain, including its webhook endpoint, unknown-address mailbox (null means drop), and email counts.

GET
/v1/email/catch-all/config

Returns the catch-all receiving configuration for a domain, including its webhook endpoint, unknown-address mailbox (null means drop), and email counts.

Authorization

apiKey
headerx-api-key<token>

Query Parameters

domainId*string
Match^dom_[0-9a-hjkmnp-tv-z]{16,24}$

Response Body

Success

application/json
  1. response
unknownRecipientMailboxId*|

The active mailbox on this domain that receives unknown addresses when catch-all has no webhook endpoint, or null to drop them without a bounce.

enabled*boolean
endpointId*|null
emailCount*integer
Range0 <= value <= 9007199254740991
lastEmailAt*string|null
Example Request
import { createClient } from "samva";const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });const result = await samva.email.getCatchAllConfig({  "domainId": "example"});
Example Response
{  "unknownRecipientMailboxId": "string",  "enabled": true,  "endpointId": "string",  "emailCount": 0,  "lastEmailAt": "string"}

Related documentation